Bug 18722 - Subtotal information not showing fund source
Summary: Subtotal information not showing fund source
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-02 13:15 UTC by Michael Cabus
Modified: 2017-07-31 11:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Example of fund name missing (123.91 KB, image/jpeg)
2017-06-02 13:15 UTC, Michael Cabus
Details
Bug 18722: Fund name is not shown in received orders fund subtotals (1.29 KB, patch)
2017-06-05 11:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18722: Fund name is not shown in received orders fund subtotals (1.43 KB, patch)
2017-06-09 14:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Cabus 2017-06-02 13:15:06 UTC
Created attachment 63939 [details]
Example of fund name missing

When viewing an invoice in acquisitions, in the Already received section the Subtotals do not list the fund name, simply states "Subtotal for".
Comment 1 Josef Moravec 2017-06-05 11:23:06 UTC
Created attachment 63959 [details] [review]
Bug 18722: Fund name is not shown in received orders fund subtotals

Test plan:
1) Go to acquisition and receive some orders
2) Show the receive summary for invoice
--> without patch, the fund name in subtotal is not shown
--> with patch the name is shown as expected
Comment 2 Jonathan Druart 2017-06-09 14:33:56 UTC
Michael, take a look at this wiki page to know how to signoff on a patch: https://wiki.koha-community.org/wiki/Sign_off_on_patches
Comment 3 Jonathan Druart 2017-06-09 14:34:26 UTC
Created attachment 64140 [details] [review]
Bug 18722: Fund name is not shown in received orders fund subtotals

Test plan:
1) Go to acquisition and receive some orders
2) Show the receive summary for invoice
--> without patch, the fund name in subtotal is not shown
--> with patch the name is shown as expected

Signed-off-by: Michael Cabus <michael@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Michael Cabus 2017-06-09 14:39:11 UTC
(In reply to Jonathan Druart from comment #2)
> Michael, take a look at this wiki page to know how to signoff on a patch:
> https://wiki.koha-community.org/wiki/Sign_off_on_patches

Thanks, will do! Should have read that before working on this..
Comment 5 Jonathan Druart 2017-06-09 15:48:02 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-12 10:16:16 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 7 Katrin Fischer 2017-06-13 05:59:52 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 8 Mason James 2017-07-31 11:21:03 UTC
Pushed to 16.05.x, for 16.05.15 release